package com.ruoyi.baseinfo.service;

import java.util.List;
import com.ruoyi.baseinfo.domain.BaseGroupInfo;

/**
 * 班组基础信息Service接口
 * 
 * @author CaesarBao
 * @date 2020-10-20
 */
public interface IBaseGroupInfoService 
{
    /**
     * 查询班组基础信息
     * 
     * @param objid 班组基础信息ID
     * @return 班组基础信息
     */
    public BaseGroupInfo selectBaseGroupInfoById(Long objid);

    /**
     * 查询班组基础信息列表
     * 
     * @param baseGroupInfo 班组基础信息
     * @return 班组基础信息集合
     */
    public List<BaseGroupInfo> selectBaseGroupInfoList(BaseGroupInfo baseGroupInfo);

    /**
     * 新增班组基础信息
     * 
     * @param baseGroupInfo 班组基础信息
     * @return 结果
     */
    public int insertBaseGroupInfo(BaseGroupInfo baseGroupInfo);

    /**
     * 修改班组基础信息
     * 
     * @param baseGroupInfo 班组基础信息
     * @return 结果
     */
    public int updateBaseGroupInfo(BaseGroupInfo baseGroupInfo);

    /**
     * 批量删除班组基础信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBaseGroupInfoByIds(String ids);

    /**
     * 删除班组基础信息信息
     * 
     * @param objid 班组基础信息ID
     * @return 结果
     */
    public int deleteBaseGroupInfoById(Long objid);
}
